/* file command.h */
/*
 *      narcisse81 - a graphical frontend for diogene87 
 *	Copyright (C) 2005 - Dominique Parisot
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA
 *
 */


#ifndef __NC81_COMMAND_H__
#define __NC81_COMMAND_H__ 1

#include "global.h"

#define NC81_COMMAND_BUFFER_SIZE 512 

void nc81_command_callback(gchar** fields, void* data);

void nc81_command_close_connection(void);

void nc81_command_send(gchar* command, 
		void (*callback_function) (gchar** fields, void* data),
		void* data, gchar* valuex, gchar* valuey, gchar* valuez);

#endif /*__NC81_COMMAND_H__*/
