/* file icon.h */
/*
 *      narcisse81 - a graphical frontend for diogene87 
 *	Copyright (C) 2005 - Dominique Parisot
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA
 *
 */


#ifndef __NC81_ICON__
#define __NC81_ICON__ 1
#include <gtk/gtk.h>

#define NC81_ICON_TYPE_COUNT 6
typedef enum _nc81_icon_type nc81_icon_type;
enum _nc81_icon_type
{
	nc81_icon_referential,
	nc81_icon_day,
	nc81_icon_task,
	nc81_icon_job,
	nc81_icon_monitor,
	nc81_icon_diogene87,
	nc81_icon_none
};

extern GdkPixmap *nc81_icon_pixmap_array[NC81_ICON_TYPE_COUNT + 1];
extern GdkBitmap *nc81_icon_bitmap_array[NC81_ICON_TYPE_COUNT + 1];

void nc81_icon_load(GtkWidget* main_window);

#endif/*__NC81_ICON__*/
